<?php
include ("../conexion.php");


$hoy=date("d-m-Y");

?>
<html>
	<head>
		<title>Facturas</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
        
        <script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
        	
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script type="text/javascript" src="../funciones/validar.js"></script>
		
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {	
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		



		function inicio() {
			document.getElementById("cdgbar").focus();

			
		} 
	function imprimir_Stock() {



	var cdgpro=document.getElementById("cdgpro").value;
	var tipoven=document.getElementById("tipoven").value;
	var cdgbar=document.getElementById("cdgbar").value;
	
	window.open("excel_productos_por_vencer.php?cdgpro="+cdgpro+"&tipoven="+tipoven+"&cdgbar="+cdgbar);

		}
		


		
		function buscar() {
		
			document.getElementById("form_busqueda").submit();
		}
		
		
		
	
		
		function limpiar() {
			document.getElementById("form_busqueda").reset();
			document.getElementById("form_busqueda").submit();
			
		}
		

		
				
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
         alert('Envio del formulario.')			//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
		function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}



	

		
		function abreVentana(){
			miPopup = window.open("ver_proveedores2.php","miwin","width=650,height=700,scrollbars=yes");
			
			miPopup.focus();
			buscar();
		}
		
		function validarproveedor(){
			var codigo=document.getElementById("cdgpro").value;
			miPopup = window.open("comprobarproveedor2.php?cdgpro="+codigo,"frame_datos","width=700,height=80,scrollbars=yes");
			
				buscar();
		}	
				function ventanaArticulos(){
	
		miPopup = window.open("ver_articulos_super_stock.php?","miwin","width=800,height=650,scrollbars=yes");

		}
	function validararticulo(){
			

		 var codigobarras=document.getElementById("cdgbar").value;

			miPopup = window.open("comprobararticulo_stock.php?cdgbar="+codigobarras, "frame_datos1","width=900,height=90,scrollbars=yes");

			buscar();
			}	
 
  function comprobar_fechas(){

/////////////////////////////////////////////  invierte la fecha a xxxx-xx-xx ////////////////////////////////	  
		  
	  var parts = document.getElementById("fechainicio").value.split(/-/);
		parts.reverse();
		fechainicio=parts.join('-');
		
	  var parts = document.getElementById("fechafin").value.split(/-/);
		parts.reverse();
		fechafin=parts.join('-');
		
////////////////////////////////////////////// verifique que la fecha sea correcta ///////////////////////////	


 



	
//////////////////////////////////////  convierte la fecha a formato date para ser comparado /////////////////////////	

	 date1 = new Date(fechainicio);
	 date2 = new Date(fechafin); 
		 
	var f1 = new Date();
	var f2 = new Date(date1); //31 de diciembre de 2015
	var f3 = new Date(date2);
	f1.setHours(0,0,0,0);
	f2.setHours(0,0,0,0);
	f3.setHours(0,0,0,0);

////////////////////////////////////////// compara las fechas ///////////////////////////////////////////////////////
	
	if (fechainicio !=""){
		
		
		 var fechaArr = fechainicio.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
		
	if (f2.getTime() > f1.getTime()){
	 alert("la Fecha Inicial no puede ser mayor a la Actual ");
	document.getElementById("fechainicio").value="";
	document.getElementById("fechainicio").select();
	}

 }else{
  alert("Error fecha Inicial incorrecta favor verifique");
  document.getElementById("fechainicio").value="";
  document.getElementById("fechainicio").select();
 }
 
	}
	
	
	
	if (fechafin !=""){	
	
	 
  var fechaArr = fechafin.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
 	
	
	if (f3.getTime() > f1.getTime()){
	 alert("la Fecha Final no puede ser mayor a la Actual ");
	document.getElementById("fechafin").value="";
	document.getElementById("fechafin").select();;
	}
 
 
 }else{
  alert("Error fecha Final incorrecta favor verifique");
  document.getElementById("fechafin").value="";
  document.getElementById("fechafin").select();
 }
	

	}
	
	
	if (f2.getTime() > f3.getTime()){
	 alert("La Fecha Inicial no puede ser mayor a la Fecha Final ");
	document.getElementById("fechafin").value="";
	document.getElementById("fechainicio").value="";
	document.getElementById("fechainicio").select();
	
	}
	
	buscar();
	}
	
	
	
jQuery(function($){	
		$("#fechainicio").mask("99-99-9999");
		$("#fechafin").mask("99-99-9999");
		});


		
		function imprimir_excel() {
	
	var mensaje="";
	if (document.getElementById("fechainicio").value=="") mensaje+="  - Fecha Inicial\n";
	if (document.getElementById("fechafin").value=="") mensaje+="  - Fecha Final\n";
				
	
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {
		
	var fechainicio=document.getElementById("fechainicio").value;
	var fechafin=document.getElementById("fechafin").value;
	var cdgpro=document.getElementById("cdgpro").value;
	
	window.open("excel_venta_proveedor.php?cdgpro="+cdgpro+"&fechainicio="+fechainicio+"&fechafin="+fechafin);
}
		}
		
		
				function imprimir_excel_pedidos() {
	
	var mensaje="";
	if (document.getElementById("fechainicio").value=="") mensaje+="  - Fecha Inicial\n";
	if (document.getElementById("fechafin").value=="") mensaje+="  - Fecha Final\n";
				
	
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {
		
	var fechainicio=document.getElementById("fechainicio").value;
	var fechafin=document.getElementById("fechafin").value;
	var cdgpro=document.getElementById("cdgpro").value;
	
	window.open("excel_venta_proveedor_pedido.php?cdgpro="+cdgpro+"&fechainicio="+fechainicio+"&fechafin="+fechafin);
}
		}
	
		
		
		</script>
	</head>
	<body  onLoad=" nobackbutton(); inicio()">
		<div id="">
		<div id="zonaVentanas">
				<div align="center">
				  <div id="" class="contenidoReporte">
				<form id="form_busqueda" name="form_busqueda" method="post" action="Reporte_rejilla_productos_por_vencer.php" target="frame_rejilla">
					<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>					
						
                        
					 <?php
	$query = "SELECT cdgfam, dscfam FROM familias ORDER BY dscfam";
	$resultado=$mysqli->query($query);
	
	 ?>
                        <tr>
                          <td>&nbsp;</td>
                          <td>&nbsp;</td>
                          <td colspan="8"><div align="center">Reporte Productos por Vencer</div></td>
                          <td width="16%">&nbsp;</td>
                        </tr>
                        <tr>
                          <td width="1%">&nbsp;</td>
                          <td width="8%">Codigo</td>
                          <td width="12%"> <input name="cdgbar" value="" type="text"  id="cdgbar"   onChange="validararticulo()"    autocomplete= "off"   onFocus="buscar(); siguienteCampo ='dscart';"   class="cajaGrande"  ></td>
                          <td width="4%"><img src="../img/search-b-icon (5).png" alt="Buscar" width="32" height="32" title="Buscar articulos" onClick="ventanaArticulos()" onMouseOver="style.cursor=cursor"></td>
                          <td width="6%">Proveedor                          </td>
                          <td width="6%"><input id="cdgpro" type="text" class="cajaGrande" name="cdgpro"   autocomplete="off"  value="" onFocus="siguienteCampo ='dscpro';"  onChange="validarproveedor()"></td>
                          <td width="3%"><img src="../img/Search_Male_User_Icon_32.png" alt="ff" width="32" height="32" title="Buscar proveedor" onClick="abreVentana()" onMouseOver="style.cursor=cursor"></td>
                          <td colspan="2"><input id="dscpro" name="dscpro" type="text" class="cajaGrande" autocomplete="off"   value="" onFocus="siguienteCampo ='fechainicio';"  onKeyPress="buscar()"   onChange="buscar()"></td>
                          <td width="17%"><img src="../img/search-b-icon (4).png" width="48" height="48" border="0" onClick="buscar()" onMouseOver="style.cursor=cursor"><img src="../img/Recycle-Full-icon (3).png" width="48" height="48" border="0" onClick="limpiar()" onMouseOver="style.cursor=cursor"></td>
                          <td><a  class="button" onClick="imprimir_Stock()" >Excel </a></td>
                        </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>Articulo</td>
						  <td colspan="5"><input name="dscart"   type="text"id="dscart" class="cajaGrande"   autocomplete= "off"   onFocus="siguienteCampo ='cdgpro';"   onChange="buscar()" >						    <input name="exiact"  readonly  type="hidden" id="exiact" class="cajaGrande"   autocomplete= "off"   > </td>
						  <td width="13%">Cant Meses </td>
						  <td width="14%"> <select name="tipoven"  onChange="buscar()" id="tipoven" class="comboMedio" >
						   <option value="5MESES" selected>5 MESES</option>
                           <option value="4MESES">4 MESES</option> 
						   <option value="3MESES">3 MESES</option> 
						   <option value="2MESES">2 MESES</option> 
						    <option value="VENCIDOS">VENCIDOS</option> 
                          </select></td>
						  <td width="17%">&nbsp;</td>
	                      <td></td>
				      </tr>
					</table>
					<div id="lineaResultado">
                      <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>
                        <tr>
                          <td width="34%" align="left"><input id="filas" type="hidden" class="cajaPequena" name="filas" maxlength="5"  readonly>                          </td>
                          <td width="48%">
                          </td>
                          <td width="18%" align="right">
                            <input  name="paginas" id="paginas" type="hidden" onChange="paginar()" maxlength="10" readonly>                            </td>
                      </table>
		          </div>
			        <div id="frmResultado">
				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						<tr class="cabeceraTabla">
							
							<td width="9%"> CODIGO </td>
							<td width="32%">ARTICULO</td>
							<td width="12%"># LOTE</td>
							<td width="11%">FECHA LOTE</td>
							<td width="13%">EXISTENCIA</td>
							<td width="13%">DIAS POR VENCER</td>
	
						</tr>
				</table>
	</div>
				    <iframe width="100%" height="390" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                    <ilayer width="98%" height="60" id="frame_rejilla" name="frame_rejilla"></ilayer>
				    </iframe>
				    <table width="100%" border="0">
				      <tr>			          </tr>
				      <tr>			          </tr>
				      <tr>
			
			          </tr>
				      <tr>
				        <td>&nbsp;</td>
				        <td >&nbsp;</td>
				        <td>&nbsp;</td>
				        <td >&nbsp;</td>
				        <td >&nbsp;</td>
			          </tr>
			      </table>
				    <input type="hidden" id="iniciopagina" name="iniciopagina">
				<input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
			</form>
			  
				<iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
					</iframe>
								  
				<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
					</iframe>
			  </form>
			 </div>
		  </div>
    </div>
		
	</body>
</html>
